From 6492b1fd104c4e827f83c15600705bf7caec3dbd Mon Sep 17 00:00:00 2001
From: Su_Laus <sulau@freenet.de>
Date: Fri, 5 May 2023 19:43:46 +0200
Subject: Consider error return of writeSelections(). Fixes #553

---
 tools/tiffcrop.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/tools/tiffcrop.c b/tools/tiffcrop.c
index 9fda6257..10419df1 100644
--- a/tools/tiffcrop.c
+++ b/tools/tiffcrop.c
@@ -2475,8 +2475,13 @@ main(int argc, char* argv[])
         {  /* Whole image or sections not based on output page size */
         if (crop.selections > 0)
           {
-	  writeSelections(in, &out, &crop, &image, &dump, seg_buffs,
-                          mp, argv[argc - 1], &next_page, total_pages);
+	  if (writeSelections(in, &out, &crop, &image, &dump, seg_buffs,
+	                      mp, argv[argc - 1], &next_page, total_pages))
+	      {
+	         TIFFError("main",
+	                   "Unable to write new image selections");
+	         exit(EXIT_FAILURE);
+	      }
           }
 	else  /* One file all images and sections */
           {
-- 
2.30.2

